import request from '@/utils/request'

// 查询设备工时分摊月报列表
export function listDevicewkmonth(query) {
  return request({
    url: '/buyer/devicewkmonth/list',
    method: 'get',
    params: query
  })
}

// 查询设备工时分摊月报详细
export function getDevicewkmonth(id) {
  return request({
    url: '/buyer/devicewkmonth/' + id,
    method: 'get'
  })
}

// 新增设备工时分摊月报
export function addDevicewkmonth(data) {
  return request({
    url: '/buyer/devicewkmonth',
    method: 'post',
    data: data
  })
}

// 修改设备工时分摊月报
export function updateDevicewkmonth(data) {
  return request({
    url: '/buyer/devicewkmonth',
    method: 'put',
    data: data
  })
}

// 删除设备工时分摊月报
export function delDevicewkmonth(id) {
  return request({
    url: '/buyer/devicewkmonth/' + id,
    method: 'delete'
  })
}
